---@meta

---@class ABP_Interactable_Map_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Route65 UWidgetComponent
---@field CampSite UWidgetComponent
---@field Backside UStaticMeshComponent
---@field TruckWidget UWidgetComponent
---@field Plane3 UStaticMeshComponent
---@field Plane2 UStaticMeshComponent
---@field Plane1 UStaticMeshComponent
---@field Plane UStaticMeshComponent
---@field NS_Fire UNiagaraComponent
---@field ['As Camera Actor'] ACameraActor
---@field SplinePoints TArray<FSplinePoint>
---@field SplineMeshComponents TArray<USplineMeshComponent>
---@field MapCameraOrthoWidthSize double
---@field CameraLocationOffset FVector
---@field InternalCurrentCheckpoint int32
---@field InitialOnly_CheckpointTransforms TArray<FVector>
---@field InitialOnly_CheckpointWidgets TArray<UWidgetComponent>
---@field DeathMarkers TArray<UWidgetComponent>
local ABP_Interactable_Map_C = {}

---@param Success boolean
function ABP_Interactable_Map_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function ABP_Interactable_Map_C:SetDroppedPhysicsState(Success) end
function ABP_Interactable_Map_C:AddDeathMarkers() end
function ABP_Interactable_Map_C:OnRep_InitialOnly_CheckpointTransforms() end
function ABP_Interactable_Map_C:CreateCheckpointTransforms() end
function ABP_Interactable_Map_C:SetupWidgets() end
function ABP_Interactable_Map_C:OnRep_InternalCurrentCheckpoint() end
function ABP_Interactable_Map_C:UpdateCheckpointVisuals() end
---@param InVec FVector
---@param OutVec FVector
function ABP_Interactable_Map_C:WorldToMapWidgetPos(InVec, OutVec) end
---@param Success boolean
function ABP_Interactable_Map_C:SetAttachedPhysicsState(Success) end
---@param InVec FVector
---@param OutVec FVector
function ABP_Interactable_Map_C:WorldToMapSplinePos(InVec, OutVec) end
---@param WorldLocation FVector
---@param MapPosition FVector2D
function ABP_Interactable_Map_C:GetMapPos(WorldLocation, MapPosition) end
---@param PickedUp boolean
function ABP_Interactable_Map_C:UpdateMap(PickedUp) end
function ABP_Interactable_Map_C:OnRep_FireState() end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_Map_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_3(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_Map_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_2(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_Map_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_Map_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnNotifyEnd_D3CBB61A418D9D474992C89B81BF18BF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnNotifyBegin_D3CBB61A418D9D474992C89B81BF18BF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnInterrupted_D3CBB61A418D9D474992C89B81BF18BF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnBlendOut_D3CBB61A418D9D474992C89B81BF18BF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnCompleted_D3CBB61A418D9D474992C89B81BF18BF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnNotifyEnd_6EA994EF483D4A14DF2CEA98D55D24F8(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnNotifyBegin_6EA994EF483D4A14DF2CEA98D55D24F8(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnInterrupted_6EA994EF483D4A14DF2CEA98D55D24F8(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnBlendOut_6EA994EF483D4A14DF2CEA98D55D24F8(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnCompleted_6EA994EF483D4A14DF2CEA98D55D24F8(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnNotifyEnd_2401E1D54C8E9CE8D6AAD7B0585971A2(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnNotifyBegin_2401E1D54C8E9CE8D6AAD7B0585971A2(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnInterrupted_2401E1D54C8E9CE8D6AAD7B0585971A2(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnBlendOut_2401E1D54C8E9CE8D6AAD7B0585971A2(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnCompleted_2401E1D54C8E9CE8D6AAD7B0585971A2(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnNotifyEnd_F181A2C5416B6814A90FCCAFF2189DFA(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnNotifyBegin_F181A2C5416B6814A90FCCAFF2189DFA(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnInterrupted_F181A2C5416B6814A90FCCAFF2189DFA(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnBlendOut_F181A2C5416B6814A90FCCAFF2189DFA(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Map_C:OnCompleted_F181A2C5416B6814A90FCCAFF2189DFA(NotifyName) end
function ABP_Interactable_Map_C:Start() end
function ABP_Interactable_Map_C:UpdateFluff() end
function ABP_Interactable_Map_C:ReceiveBeginPlay() end
---@param DeltaSeconds float
function ABP_Interactable_Map_C:ReceiveTick(DeltaSeconds) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_Map_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_Map_C:CallBackSecondaryFire(Player, Stop) end
function ABP_Interactable_Map_C:ConstructSplineMesh() end
---@param CurrentCheckpointIndex int32
function ABP_Interactable_Map_C:Multicast_SetMapCurrentCheckpointIndex(CurrentCheckpointIndex) end
---@param EntryPoint int32
function ABP_Interactable_Map_C:ExecuteUbergraph_BP_Interactable_Map(EntryPoint) end


